curl --request GET \
--url https://api.rewind.rest/v1/attending/events/{id} \
--header 'Authorization: Bearer <token>'{
"id": 142,
"category": "sports",
"event_type": "mlb_game",
"event_date": "2024-08-12",
"event_datetime": "2024-08-12T19:10:00Z",
"title": "Seattle Mariners vs Houston Astros",
"subtitle": "Mariners 4, Astros 2",
"series_id": "mlb-2024-mariners",
"external_id": "745423",
"external_source": "mlb_stats_api",
"event_data": {
"season": 2024,
"home_team": "Seattle Mariners",
"away_team": "Houston Astros",
"home_score": 4,
"away_score": 2,
"my_team_won": true,
"winning_pitcher": "Logan Gilbert"
},
"notes": null,
"attended": true,
"venue": {
"id": 12,
"name": "T-Mobile Park",
"city": "Seattle",
"state": "WA",
"country": "US",
"latitude": 47.5914,
"longitude": -122.3325,
"capacity": 47929
},
"tickets": [
{
"id": 871,
"vendor": "ticketmaster",
"order_id": "32-43215/SEA",
"section": "147",
"row": "15",
"seat": "12",
"quantity": 2,
"total_price_cents": 8400,
"currency": "USD",
"purchased_at": "2024-06-15T18:42:11Z"
}
],
"players": [
{
"player": {
"id": 42,
"league": "mlb",
"mlb_stats_id": 663728,
"espn_id": "41292",
"full_name": "Cal Raleigh",
"primary_position": "C",
"primary_number": "29",
"birth_date": "1996-11-26",
"birth_city": "Harrisonburg",
"birth_state_province": "VA",
"birth_country": "USA",
"height": "6' 2\"",
"weight": 235,
"bats": "B",
"throws": "R",
"primary_team": {
"id": 136,
"league": "mlb",
"abbreviation": "SEA",
"location": "Seattle",
"name": "Mariners",
"full_name": "Seattle Mariners",
"primary_color": "#0C2C56",
"secondary_color": "#005C5C",
"tertiary_color": null,
"ui_tint_color": "#0C2C56",
"logo_url": "https://www.mlbstatic.com/team-logos/136.svg",
"logo_dark_url": "https://www.mlbstatic.com/team-logos/team-cap-on-dark/136.svg",
"logo_light_url": "https://www.mlbstatic.com/team-logos/team-cap-on-light/136.svg",
"conference": "AL",
"division": "AL West"
},
"debut_date": "2021-07-11",
"college_name": "Florida State",
"awards": [
{
"season": "2025",
"id": "ALSS",
"name": "AL Silver Slugger"
}
],
"photo_silo": {
"cdn_url": "https://cdn.rewind.rest/.../players/silo/123",
"thumbhash": "<string>",
"dominant_color": "#1a3a6c",
"accent_color": "#c4ced4"
},
"photo_full": {
"cdn_url": "https://cdn.rewind.rest/.../players/silo/123",
"thumbhash": "<string>",
"dominant_color": "#1a3a6c",
"accent_color": "#c4ced4"
}
},
"team": {
"id": 136,
"league": "mlb",
"abbreviation": "SEA",
"location": "Seattle",
"name": "Mariners",
"full_name": "Seattle Mariners",
"primary_color": "#0C2C56",
"secondary_color": "#005C5C",
"tertiary_color": null,
"ui_tint_color": "#0C2C56",
"logo_url": "https://www.mlbstatic.com/team-logos/136.svg",
"logo_dark_url": "https://www.mlbstatic.com/team-logos/team-cap-on-dark/136.svg",
"logo_light_url": "https://www.mlbstatic.com/team-logos/team-cap-on-light/136.svg",
"conference": "AL",
"division": "AL West"
},
"is_home": true,
"batting_line": {},
"pitching_line": {},
"fielding_line": {},
"decision": "W",
"notable": true
}
]
}Returns a single attended event with its venue, tickets, performers, and event_data.
curl --request GET \
--url https://api.rewind.rest/v1/attending/events/{id} \
--header 'Authorization: Bearer <token>'{
"id": 142,
"category": "sports",
"event_type": "mlb_game",
"event_date": "2024-08-12",
"event_datetime": "2024-08-12T19:10:00Z",
"title": "Seattle Mariners vs Houston Astros",
"subtitle": "Mariners 4, Astros 2",
"series_id": "mlb-2024-mariners",
"external_id": "745423",
"external_source": "mlb_stats_api",
"event_data": {
"season": 2024,
"home_team": "Seattle Mariners",
"away_team": "Houston Astros",
"home_score": 4,
"away_score": 2,
"my_team_won": true,
"winning_pitcher": "Logan Gilbert"
},
"notes": null,
"attended": true,
"venue": {
"id": 12,
"name": "T-Mobile Park",
"city": "Seattle",
"state": "WA",
"country": "US",
"latitude": 47.5914,
"longitude": -122.3325,
"capacity": 47929
},
"tickets": [
{
"id": 871,
"vendor": "ticketmaster",
"order_id": "32-43215/SEA",
"section": "147",
"row": "15",
"seat": "12",
"quantity": 2,
"total_price_cents": 8400,
"currency": "USD",
"purchased_at": "2024-06-15T18:42:11Z"
}
],
"players": [
{
"player": {
"id": 42,
"league": "mlb",
"mlb_stats_id": 663728,
"espn_id": "41292",
"full_name": "Cal Raleigh",
"primary_position": "C",
"primary_number": "29",
"birth_date": "1996-11-26",
"birth_city": "Harrisonburg",
"birth_state_province": "VA",
"birth_country": "USA",
"height": "6' 2\"",
"weight": 235,
"bats": "B",
"throws": "R",
"primary_team": {
"id": 136,
"league": "mlb",
"abbreviation": "SEA",
"location": "Seattle",
"name": "Mariners",
"full_name": "Seattle Mariners",
"primary_color": "#0C2C56",
"secondary_color": "#005C5C",
"tertiary_color": null,
"ui_tint_color": "#0C2C56",
"logo_url": "https://www.mlbstatic.com/team-logos/136.svg",
"logo_dark_url": "https://www.mlbstatic.com/team-logos/team-cap-on-dark/136.svg",
"logo_light_url": "https://www.mlbstatic.com/team-logos/team-cap-on-light/136.svg",
"conference": "AL",
"division": "AL West"
},
"debut_date": "2021-07-11",
"college_name": "Florida State",
"awards": [
{
"season": "2025",
"id": "ALSS",
"name": "AL Silver Slugger"
}
],
"photo_silo": {
"cdn_url": "https://cdn.rewind.rest/.../players/silo/123",
"thumbhash": "<string>",
"dominant_color": "#1a3a6c",
"accent_color": "#c4ced4"
},
"photo_full": {
"cdn_url": "https://cdn.rewind.rest/.../players/silo/123",
"thumbhash": "<string>",
"dominant_color": "#1a3a6c",
"accent_color": "#c4ced4"
}
},
"team": {
"id": 136,
"league": "mlb",
"abbreviation": "SEA",
"location": "Seattle",
"name": "Mariners",
"full_name": "Seattle Mariners",
"primary_color": "#0C2C56",
"secondary_color": "#005C5C",
"tertiary_color": null,
"ui_tint_color": "#0C2C56",
"logo_url": "https://www.mlbstatic.com/team-logos/136.svg",
"logo_dark_url": "https://www.mlbstatic.com/team-logos/team-cap-on-dark/136.svg",
"logo_light_url": "https://www.mlbstatic.com/team-logos/team-cap-on-light/136.svg",
"conference": "AL",
"division": "AL West"
},
"is_home": true,
"batting_line": {},
"pitching_line": {},
"fielding_line": {},
"decision": "W",
"notable": true
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Event detail
142
"sports"
"mlb_game"
"2024-08-12"
"2024-08-12T19:10:00Z"
"Seattle Mariners vs Houston Astros"
"Mariners 4, Astros 2"
"mlb-2024-mariners"
"745423"
"mlb_stats_api"
Show child attributes
{
"season": 2024,
"home_team": "Seattle Mariners",
"away_team": "Houston Astros",
"home_score": 4,
"away_score": 2,
"my_team_won": true,
"winning_pitcher": "Logan Gilbert"
}null
true
Show child attributes
Show child attributes
Show child attributes